<div class="tyre">

  <div class="banner loading">we are updating daily</div>

  <!-- <div class="banner">
    <h4 class="loading">we are updating everyday</h4>
  </div> -->
  <mat-form-field  appearance="standard">
    <!-- <mat-label>Filter</mat-label> -->
    <i class="top-navigation__search-icon fas fa-search"></i>
    <input matInput (keyup)="applyFilter($event)" placeholder="Search..." #input>
  </mat-form-field>
  <!-- <div class="top-navigation__search">
    
    <input class="top-navigation__search-input" placeholder="Search..."/>
  </div> -->
  <div class="mat-elevation-z8 table-data">
    <table mat-table [dataSource]="dataSource" matSort>

      <!-- <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
        <td mat-cell *matCellDef="let row">{{row.id}}</td>
      </ng-container>  -->

      <ng-container matColumnDef="description">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> DESCRIPTION </th>
        <td mat-cell *matCellDef="let row"> {{row.description}} </td>
      </ng-container>

      <ng-container matColumnDef="stockQuantity">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> STOCK QUANTITY </th>
        <td class="td-qua" 
         mat-cell *matCellDef="let row"> {{row.stockQuantity}} </td>
      </ng-container>


      <ng-container matColumnDef="unitPrice">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> UNIT PRICE </th>
        <td class="td-qua"
         mat-cell *matCellDef="let row"> {{row.unitPrice}} $</td>
      </ng-container>


      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

      <!-- Row shown when there is no matching data. -->
      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
      </tr>
    </table>

    <mat-paginator [pageSizeOptions]="[7, 15, 30, 100]" aria-label="Select page of dataSource"></mat-paginator>
  </div>
</div>